io.vertx.rxjava.ext.unit

## Class Async

- java.lang.Object
- - io.vertx.rxjava.ext.unit.Completion<Void>
  - - io.vertx.rxjava.ext.unit.Async

-     public class Async
      extends Completion<Void>

  An asynchronous exit point for a test.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<Async>` | `__TYPE_ARG`

    - ### Fields inherited from class io.vertx.rxjava.ext.unit.Completion

      `__typeArg_0`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Async(Async delegate)`
    `Async(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `complete()` Signals the asynchronous operation is done, this method must be called with a count greater than `0`, otherwise it throws an `IllegalStateException` to signal the error.
    `int` | `count()`
    `void` | `countDown()` Count down the async.
    `boolean` | `equals(Object o)`
    `Async` | `getDelegate()`
    `void` | `handler()` Completion handler to receive a completion signal when this completions completes.
    `void` | `handler(Handler<AsyncResult<Void>> completionHandler)` Completion handler to receive a completion signal when this completions completes.
    `int` | `hashCode()`
    `static Async` | `newInstance(Async arg)`
    `void` | `resolve(Promise<Void> future)` Completes the future upon completion, otherwise fails it.
    `Single<Void>` | `rxHandler()` Completion handler to receive a completion signal when this completions completes.
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.rxjava.ext.unit.Completion

      `await, await, awaitSuccess, awaitSuccess, isCompleted, isFailed, isSucceeded, newInstance, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Async> __TYPE_ARG

  - ### Constructor Detail

    - #### Async

          public Async(Async delegate)

    - #### Async

          public Async(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Completion<Void>`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Completion<Void>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Completion<Void>`

    - #### getDelegate

          public Async getDelegate()

      Overrides:
        `getDelegate` in class `Completion<Void>`

    - #### resolve

          public void resolve(Promise<Void> future)

      Completes the future upon completion, otherwise fails it.
      Overrides:
        `resolve` in class `Completion<Void>`
      Parameters:
        `future` - the future to resolve

    - #### handler

          public void handler(Handler<AsyncResult<Void>> completionHandler)

      Completion handler to receive a completion signal when this completions completes.
      Overrides:
        `handler` in class `Completion<Void>`
      Parameters:
        `completionHandler` - the completion handler

    - #### handler

          public void handler()

      Completion handler to receive a completion signal when this completions completes.
      Overrides:
        `handler` in class `Completion<Void>`

    - #### rxHandler

          public Single<Void> rxHandler()

      Completion handler to receive a completion signal when this completions completes.
      Overrides:
        `rxHandler` in class `Completion<Void>`
      Returns:

    - #### count

          public int count()

      Returns:
        the current count

    - #### countDown

          public void countDown()

      Count down the async.

    - #### complete

          public void complete()

      Signals the asynchronous operation is done, this method must be called with a count greater than `0`, otherwise it throws an `IllegalStateException` to signal the error.

    - #### newInstance

          public static Async newInstance(Async arg)

Copyright © 2020 Eclipse. All rights reserved.